#include "mainwindow.h"
#include "ui_mainwindow.h"
//Подключаются используемые в коде классы
#include <QDebug>
#include <QEvent>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    //Все переводимые строки должны пропускаться через метод tr
    qDebug() << tr("Error!");
}

void MainWindow::changeTranslator(QString postfix)
{
    //Удаление установленного переводчика
    QApplication::removeTranslator(translator);
    //Создание нового объекта переводчика
    translator = new QTranslator(this);
    //Загрузка словаря в объект переводчика
    translator->load(QApplication::applicationName() + "_" + postfix);
    //Подключение переводчика к объекту приложения
    QApplication::installTranslator(translator);
}

void MainWindow::changeEvent(QEvent *event)
{
    //Обработка события "смены языка"
    //Должны быть явно установлены ярлыки для всех визуальных объектов
    if (event->type() == QEvent::LanguageChange){
        setWindowTitle(tr("My Application"));
        ui->menuLanguage->setTitle(tr("Language"));
        ui->actionEnglish->setText(tr("English"));
        ui->actionGerman->setText(tr("German"));
        ui->actionRussian->setText(tr("Russian"));
        ui->pushButton->setText(tr("Button"));
    }
    //Вызов базового обработчика сообщений
    else {
        QMainWindow::changeEvent(event);
    }
}

void MainWindow::on_actionEnglish_triggered()
{
    changeTranslator("en");
}

void MainWindow::on_actionRussian_triggered()
{
    changeTranslator("ru");
}

void MainWindow::on_actionGerman_triggered()
{
    changeTranslator("de");
}
