#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
//Подключение класса переводчика
#include <QTranslator>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:
    //Слот нажатия на кнопку
    void on_pushButton_clicked();
    //Слот переключения на английский язык
    void on_actionEnglish_triggered();
    //Слот переключения на русский язык
    void on_actionRussian_triggered();
    //Слот переключения на немецкий язык
    void on_actionGerman_triggered();

private:
    Ui::MainWindow *ui;
    //Объект переводчика
    QTranslator* translator;
    //Метод, подключающий переводчик с новым словарем
    void changeTranslator(QString postfix);
    //Переопределенный метод, обрабатывающий события
    void changeEvent(QEvent *event);
};

#endif // MAINWINDOW_H
